Welcome to Synthiam!

The easiest way to program the most powerful robots. Use technologies by leading industry experts. ARC is a free-to-use robot programming software that makes servo automation, computer vision, autonomous navigation, and artificial intelligence easy.

Get Started
Australia
Asked — Edited

Connecting Brookstone Rover To ARC Questions

Hi all,

I am trying to connect my Rover v1 to Ez-builder.
I have tried two different ways:

1. Connect the rover to my wifi on the computer first. When I tried this the network symbol has the yellow triangle with the black line appeared. I then opened ARC and added the Rover, selected v1 and press connect. I then get this message:

EZB 0:
EZB 1:
EZB 2:
EZB 3:
EZB 4:
12/09/2014 10:11 PM - TCP Server stopped
12/09/2014 10:11 PM - TCP Server stopped
12/09/2014 10:11 PM - TCP Server stopped
12/09/2014 10:11 PM - TCP Server stopped
12/09/2014 10:11 PM - TCP Server stopped
12/09/2014 10:11 PM - System.IndexOutOfRangeException: Index was outside the bounds of the array.
at EZ_B.BrookstoneRover.()
at EZ_B.BrookstoneRover.Connect(RoverVersionEnum version)
at EZ_Builder.UCForms.FormBrookstoneRoverMovementPanel.(Object , EventArgs )


2. I have tried to leave my wifi connection on to the computer, opened Ez-builder, add the robot and press connect. This freezes ARC and when it responds I get this message: EZB 0:
EZB 1:
EZB 2:
EZB 3:
EZB 4:
12/09/2014 10:13 PM - TCP Server stopped
12/09/2014 10:13 PM - TCP Server stopped
12/09/2014 10:13 PM - TCP Server stopped
12/09/2014 10:13 PM - TCP Server stopped
12/09/2014 10:13 PM - TCP Server stopped
12/09/2014 10:13 PM - System.Net.Sockets.SocketException (0x80004005): A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond 192.168.1.100:80
at System.Net.Sockets.TcpClient..ctor(String hostname, Int32 port)
at EZ_B.BrookstoneRover.()
at EZ_B.BrookstoneRover.Connect(RoverVersionEnum version)
at EZ_Builder.UCForms.FormBrookstoneRoverMovementPanel.(Object , EventArgs )

Plz help?

Another thing I want to try connect to the rover remotely so I can control it while a I am at work. How can I do this? *stress* *stress* *stress* *stress*


ARC Pro

Upgrade to ARC Pro

Unleash your creativity with the power of easy robot programming using Synthiam ARC Pro

AI Support Bot
Related Content
Synthiam
Based on your post activity, we found some content that may be interesting to you. Explore these other tutorials and community conversations.
PRO
Synthiam
#5  
The Brookstone Rover module has a bug while we are adding support to v2. I didn't notice it until this message. I'll do a new release for the v1 users tonight or tomorrow.
Australia
#6  
I don't have either I though all I need is the ex builder? What do I need to get this to work?
#9  

Quote:

I don't have either I though all I need is the ex builder? What do I need to get this to work?


See DJ's message just before yours. He accidentally broke support for Rover v1. He'll be releasing a fix soon.

Alan
#11  
@easydoesit... Have you downloaded the newest version of ARC and tried again?
Russia
#12  
version 2014.09.27.00 - not fixed yet? Error is the same as from Konradmx6.
#13  
The error message has changed. I selected v1, but it displayed:

10/3/2014 9:49 PM - System.Exception: Brookstone Rover v2 is not currently supported.
Malaysia
#14  
To DJ
when i try to connect with v1 brookstone rover , it shows this message
is it me or the software problem ?
08-Oct-14 4:41 PM - System.IndexOutOfRangeException: Index was outside the bounds of the array.
at EZ_B.BrookstoneRover.()
at EZ_B.BrookstoneRover.Connect(RoverVersionEnum version)
at EZ_Builder.UCForms.FormBrookstoneRoverMovementPanel.(Object , EventArgs )
#15  
I'm having the same problem as pyaephyoe, keep getting error messages. Im just using the rover, havent bought the chip from Builder yet.
Malaysia
#16  
Hello this is me Pyae Phyoe again
can i get old version ezbuild which can connect v1 brookstone rover ?
cannt connect with current version
#17  
Hello,

Looks like I'm in the same boat as everyone else.

Same kind of error:

System.IndexOutOfRangeException: Index was outside the bounds of the array.
at EZ_B.BrookstoneRover.()
at EZ_B.BrookstoneRover.Connect(RoverVersionEnum version)
at EZ_Builder.UCForms.FormBrookstoneRoverMovementPanel.(Object , EventArgs )

Like pyaephyoe mentioned, is there a way we can access an old version of the software? I just got a rover and am itching to try out the software.
Malaysia
#18  
Hi ....
I am phyoe
the new version was out yesterday and i tried with ROVER version 1
but is still not working not connect

ERROR is
03-Nov-14 9:07 PM - System.IndexOutOfRangeException: Index was outside the bounds of the array.
at EZ_B.BrookstoneRover.()
at EZ_B.BrookstoneRover.Connect(RoverVersionEnum version)
at EZ_Builder.UCForms.FormBrookstoneRoverMovementPanel.(Object , EventArgs )

so is anyone have old version software ?

i need urgent for my Final year project

Thank you so much for your help
#19  
I have version 2014.12.09.00 and I can't connect with V1. Any help?
#20  
@Savall21

it hasn't been fixed yet, it's as simple as that:P
#21  
Ok, how about the most recent version where it worked?
#22  
Maybe by an off chance a collecting soul on here has all the back issues of ARC, otherwise I think your SOL I'm afraid...